# Class CompoundMedia

Class CompoundMedia

Declaration :

- C++ : class CompoundMedia : public Media

compound of several elementary media tracks,
e.g. the individual media streams found in one media file

Artifact : compoundmedia

Relation tracks (<directional aggregation>)

Declaration :

- Uml : # tracks : Media, multiplicity : 1..*
- C++ : protected: vector<Media *> tracks

elementary media assets comprising this compound

All public operations : createClip , enable , getDependant , getParents , howtoProc , isActive